aboutsummaryrefslogtreecommitdiffhomepage
path: root/performance-test/perf-test-lib.sh
diff options
context:
space:
mode:
authorGravatar David Bremner <bremner@debian.org>2012-12-03 22:51:14 -0400
committerGravatar David Bremner <bremner@debian.org>2012-12-14 22:23:55 -0400
commita3137c61e144935fde9896855ffc8625f7505c37 (patch)
treeea99766b86a021a36659f73f555d71b4ff74d60a /performance-test/perf-test-lib.sh
parente7c661d31a23d1f711a84e6eca85eea9b67f11fe (diff)
perf-test: add corpus size to output, compact I/O stats
Austin suggested a while ago that the corpus size be printed in the header. In the end it seems the corpus will be fixed per test script, so this suggestion indeed makes sense. The tabbing was wrapping on my usual 80 column terminal, so I joined the input and output columns together.
Diffstat (limited to 'performance-test/perf-test-lib.sh')
-rw-r--r--performance-test/perf-test-lib.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/performance-test/perf-test-lib.sh b/performance-test/perf-test-lib.sh
index 3a4a23dc..e399d3f5 100644
--- a/performance-test/perf-test-lib.sh
+++ b/performance-test/perf-test-lib.sh
@@ -67,14 +67,14 @@ add_email_corpus ()
}
print_header () {
- printf "[v%4s] Wall(s)\tUsr(s)\tSys(s)\tRes(K)\tIn(512B)\tOut(512B)\n" \
- ${PERFTEST_VERSION}
+ printf "[v%4s %6s] Wall(s)\tUsr(s)\tSys(s)\tRes(K)\tIn/Out(512B)\n" \
+ ${PERFTEST_VERSION} ${corpus_size}
}
time_run () {
printf "%-22s" "$1"
if test "$verbose" != "t"; then exec 4>test.output 3>&4; fi
- if ! eval >&3 "/usr/bin/time -f '%e\t%U\t%S\t%M\t%I\t%O' $2" ; then
+ if ! eval >&3 "/usr/bin/time -f '%e\t%U\t%S\t%M\t%I/%O' $2" ; then
test_failure=$(($test_failure + 1))
return 1
fi